---
title: llarp::constants

---

# llarp::constants



## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr auto | **[DefaultInboundIWPPort](Namespaces/namespacellarp_1_1constants.md#variable-defaultinboundiwpport)**  |
| constexpr auto | **[udp_header_bytes](Namespaces/namespacellarp_1_1constants.md#variable-udp-header-bytes)**  |
| constexpr auto | **[ip_header_min_bytes](Namespaces/namespacellarp_1_1constants.md#variable-ip-header-min-bytes)**  |
| constexpr auto | **[proto_version](Namespaces/namespacellarp_1_1constants.md#variable-proto-version)** <br>current network wide protocol version  |



## Attributes Documentation

### variable DefaultInboundIWPPort

```cpp
static constexpr auto DefaultInboundIWPPort = uint16_t{1090};
```


### variable udp_header_bytes

```cpp
constexpr auto udp_header_bytes = 8;
```


### variable ip_header_min_bytes

```cpp
constexpr auto ip_header_min_bytes = 20;
```


### variable proto_version

```cpp
constexpr auto proto_version = 0;
```

current network wide protocol version 




-------------------------------

Updated on 2022-09-19 at 17:18:33 +0000